Subject: [bug#66052] [PATCH gnome-team v5] gnu: tracker: Update to 3.6.0.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 18 Sep 2023 19:00:25 +0200

Am Sonntag, dem 17.09.2023 um 13:29 +0200 schrieb Vivien Kraus:
> * gnu/packages/gnome.scm (tracker): Update to 3.6.0.
> [#:phases]: Add 'disable-failing-tests'.
> ---
> > > I can do the same as glib, but then on x86_64, where nothing is
> > > spliced in, the phase becomes `(lambda _)' which is a syntax
> > > error in Guile (lambdas must have at least one item in body).
> > > […]
> > And that's where my original comment with unspecified comes back
> > in.  If you add *unspecified* after a bunch of conditional code
> > that may or may not get expanded, you will at least not have an
> > empty body :)
> 
> Ooh, now I get it. I finally understand that *unspecified* is an
> actual value in Guile. I’m sorry and a bit embarrassed it took that
> long. So, something like that?
Yep, like that.  Will test as soon as mumi gives me a non-empty patch
set.

Cheers